/*
 * Richiesta.java
 *
 * Created on 18 novembre 2005, 23.51
 */

/**
 * Contiene i dati relativi ad una richiesta.
 * @author Daniele Baracchi
 */
public class Richiesta {
    public final String nome;
    public final String telefono;
    public final int linea;
    public final char origine;
    public final char destinazione;
    public final Orario partenza;

    public Richiesta(String n, String t, int l, char o, char d, Orario p) {
        this.nome = n;
        this.telefono = t;
        this.linea = l;
        this.origine = o;
        this.destinazione = d;
        this.partenza = p;
    }
}