//---------------------------------------------------------------------------
#ifndef dmTimersH
#define dmTimersH
//---------------------------------------------------------------------------
#define TempoVerde 3000 // tempo di durata dei verdi in msec
#define TempoGiallo 1000 // tempo di durata dei gialli in msec

#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TdmTim : public TDataModule
{
__published:	// IDE-managed Components
    TTimer *TimerSemaforo;
    TTimer *TimerAutoH1;       // auto1 orizzontale
    TTimer *TimerAutoH2;       // auto2 orizzontale
    TTimer *TimerAutoV1;       // auto1 verticale
    TTimer *TimerAutoV2;       // auto2 verticale
    TTimer *TimerAutoH3;       // auto3 orizzontale
    TTimer *TimerAutoH4;       // auto4 orizzontale
    TTimer *TimerAutoV3;       // auto3 verticale
    TTimer *TimerAutoV4;       // auto4 verticale
    TTimer *TimerTram1;        // tram1
    TTimer *TimerTram2;        // tram2
    TTimer *TimerAuto;         // eventi arrivo auto o tram
    void __fastcall TimerAutoH1Timer(TObject *Sender);
    void __fastcall TimerSemaforoTimer(TObject *Sender);
    void __fastcall TimerAutoH2Timer(TObject *Sender);
    void __fastcall TimerAutoV1Timer(TObject *Sender);
    void __fastcall TimerAutoV2Timer(TObject *Sender);
    void __fastcall TimerAutoTimer(TObject *Sender);
    void __fastcall TimerAutoH3Timer(TObject *Sender);
    void __fastcall TimerAutoH4Timer(TObject *Sender);
    void __fastcall TimerAutoV3Timer(TObject *Sender);
    void __fastcall TimerAutoV4Timer(TObject *Sender);
    void __fastcall TimerTram1Timer(TObject *Sender);
    void __fastcall TimerTram2Timer(TObject *Sender);

private:	// User declarations
public:		// User declarations
    __fastcall TdmTim(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TdmTim *dmTim;
//---------------------------------------------------------------------------
#endif
